package org.dromara.common.sms.client.message;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlRootElement(name = "getSmsDeliveryStatusResponse", namespace = "http://www.csapi.org/schema/parlayx/sms/send/v2_2/local")
@XmlAccessorType(XmlAccessType.FIELD)
public class GetSmsDeliveryStatusResponse {

    @XmlElement(name = "deliveryStatus")
    List<DeliveryStatus> list = null;

    public List<DeliveryStatus> getList() {
        return list;
    }

    public void setList(List<DeliveryStatus> list) {
        this.list = list;
    }

    @Override
    public String toString() {

        StringBuilder builder = new StringBuilder("\n==========getSmsDeliveryStatusResponse==========");

        if (list != null) {
            for (DeliveryStatus status : list) {
                builder.append("\n");
                builder.append(status.toString());
            }
        }

        builder.append("\n================================================");

        return builder.toString();
    }
}
